import 'dart:async';

import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:sheet/sheet.dart';

import '../base_scaffold.dart';

class ClampedSheetPage extends StatefulWidget {
  @override
  _ClampedSheetPageState createState() => _ClampedSheetPageState();
}

class _ClampedSheetPageState extends State<ClampedSheetPage> {
  final SheetController controller = SheetController();

  @override
  void initState() {
    Future<void>.delayed(const Duration(milliseconds: 400), animateSheet);

    super.initState();
  }

  void animateSheet() {
    controller.relativeAnimateTo(0.2, duration: Duration(milliseconds: 400), curve: Curves.easeOut);
  }

  @override
  void dispose() {
    controller.dispose();
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    return BaseScaffold(
      title: Text('Clamped Sheet'),
      sheet: Sheet(
        minExtent: 100,
        maxExtent: 400,
        elevation: 4,
        child: Container(),
        controller: controller,
      ),
    );
  }
}