import 'dart:async';

import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:sheet/sheet.dart';

import '../base_scaffold.dart';
import 'bouncing_sheet.dart';

class FitResizableSheet extends StatefulWidget {
  @override
  _FitSheetState createState() => _FitSheetState();
}

class _FitSheetState extends State<FitResizableSheet> {
  final SheetController controller = SheetController();

  @override
  void initState() {
    Future<void>.delayed(const Duration(milliseconds: 400), animateSheet);

    super.initState();
  }

  void animateSheet() {
    controller.animateTo(200, duration: Duration(milliseconds: 400), curve: Curves.easeOut);
  }

  @override
  void dispose() {
    controller.dispose();
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    return BaseScaffold(
      showBottomBar: false,
      title: Text('Fit Resizable Sheet'),
      sheet: Sheet(
        elevation: 4,
        resizable: true,
        minResizableExtent: 200,
        physics: SnapSheetPhysics(
          stops: [0, 200, double.infinity],
          relative: false,
          parent: BouncingSheetPhysics(),
        ),
        child: Container(
          height: 500,
          child: Scaffold(
            backgroundColor: Colors.white,
            body: Center(
              child: Text('Hello'),
            ),
            bottomNavigationBar: BottomAppBar(
              elevation: 4,
              child: Row(
                children: [IconButton(icon: Icon(Icons.access_alarm), onPressed: () {})],
              ),
            ),
          ),
        ),
        controller: controller,
      ),
    );
  }
}
