import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';
import 'package:flutter/rendering.dart';
import 'package:sheet/sheet.dart';
import 'dart:math' as math;

class ScrollableSheet extends StatefulWidget {
  @override
  _SnapSheetPageExampleState createState() => _SnapSheetPageExampleState();
}

class _SnapSheetPageExampleState extends State<ScrollableSheet> with TickerProviderStateMixin {
  late SheetController controller = SheetController();

  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        backgroundColor: Colors.blue[800],
      ),
      body: Stack(
        children: [
          ColoredBox(
            color: Theme.of(context).scaffoldBackgroundColor,
            child: Sheet(
              physics: BouncingSheetPhysics(overflow: true),
              initialExtent: 500,
              controller: controller,
              child: Container(
                decoration: const BoxDecoration(
                  color: Colors.white,
                  boxShadow: <BoxShadow>[
                    BoxShadow(color: Colors.black12, blurRadius: 12),
                  ],
                ),
                child: Scaffold(
                  appBar: AppBar(
                    title: Text('Inside AppBar'),
                    automaticallyImplyLeading: false,
                  ),
                  body: ListView(
                    shrinkWrap: true,
                    primary: true,
                    physics: BouncingScrollPhysics(),
                    children: ListTile.divideTiles(
                      context: context,
                      tiles: List.generate(100, (index) {
                        if (index == 0) {
                          return Container(
                            child: Text(
                              'Location',
                              style: Theme.of(context).textTheme.headline6,
                            ),
                            padding: EdgeInsets.all(20),
                            alignment: Alignment.center,
                          );
                        }
                        return ListTile(
                          title: Text('Item $index'),
                        );
                      }),
                    ).toList(),
                  ),
                ),
              ),
            ),
          ),
        ],
      ),
    );
  }
}
