import 'dart:async';

import 'package:example/base_scaffold.dart';
import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:sheet/sheet.dart';

class SnapSheet extends StatefulWidget {
  @override
  _SnapSheetState createState() => _SnapSheetState();
}

class _SnapSheetState extends State<SnapSheet> {
  final SheetController controller = SheetController();

  @override
  void initState() {
    Future<void>.delayed(const Duration(milliseconds: 400), animateSheet);

    super.initState();
  }

  void animateSheet() {
    controller.relativeAnimateTo(0.2, duration: Duration(milliseconds: 400), curve: Curves.easeOut);
  }

  @override
  void dispose() {
    controller.dispose();
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    return BaseScaffold(
      title: Text('Snap Sheet'),
      sheet: Sheet(
        elevation: 4,
        physics: SnapSheetPhysics(
          stops: [0.1, 0.2, 0.5, 1],
          parent: BouncingSheetPhysics(),
        ),
        child: Container(),
        controller: controller,
      ),
    );
  }
}
