// Default test screen size defined by Flutter
import 'package:flutter/widgets.dart';
import 'package:flutter_test/flutter_test.dart';

const Size kScreenSize = Size(800, 600);

void main() {
  testWidgets('defaultTestSize', (WidgetTester tester) async {
    final Size testSize =
        tester.binding.window.physicalSize / tester.binding.window.devicePixelRatio;
    expect(testSize, equals(kScreenSize));
  });
}


  // Pumps and ensures that the BottomSheet animates non-linearly.
  Future<void> checkNonLinearAnimation(WidgetTester tester) async {
    final Offset firstPosition = tester.getCenter(find.text('BottomSheet'));
    await tester.pump(const Duration(milliseconds: 30));
    final Offset secondPosition = tester.getCenter(find.text('BottomSheet'));
    await tester.pump(const Duration(milliseconds: 30));
    final Offset thirdPosition = tester.getCenter(find.text('BottomSheet'));

    final double dyDelta1 = secondPosition.dy - firstPosition.dy;
    final double dyDelta2 = thirdPosition.dy - secondPosition.dy;

    // If the animation were linear, these two values would be the same.
    expect(dyDelta1, isNot(moreOrLessEquals(dyDelta2, epsilon: 0.1)));
  }
